//MODO COMANDO POR EL PUERTO SERIAL 9600 BPS
//ENVIA "0K>" A TERMINAL Y RECIBE UN COMANDO DEL USUARIO:
//COMANDO R1=ENCIENDE RELEVADOR,
//COMANDO R0=APAGA RELEVADOR
//COMANDO T = ENVIA "TIEMPO="
//EL USUARIO DEBE ESCRIBIR EN SEGUNDOS,(MAXIMO 255)
//EL TIEMPO ASIGNADO PARA ACTIVAR EL RELEVADOR
//COMANDO S
//ESCRIBE EL VALOR DECIMAL DE LOS 4 MICROSWITCHES (0..15),
//"S=12" (EJEMPLO)
//DESPUES DE CADA COMANDO ENVIA "OK>"
//FUNCIONA CON MODULO BLUETOOTH EN FORMA TRANSPARENTE

#include <p18cxxx.h>
#include <delays.h>
#include <usart.h>
#include <stdio.h>
#include <stdlib.h>
#include "18F2550BOLT.h"
#include "PUERTO-SERIAL-BOLT.h"

extern void _startup( void ); 
#pragma code _RESET_INTERRUPT_VECTOR = 0x000800 
void _reset( void ) 
{ 
    _asm goto _startup _endasm 
} 
#pragma code
			
void retraso(int a);
char a,b;
char array[10];
int TIEMPO;

void main(void)
{
init_bolt();
activa_serial();
	while(1)
	{
	printf("\r\n");
	printf("OK>");
	a=getcECO();
		if(a=='R')
		{
		b=getcECO();
		if (b=='0'){RELE=0;}
		if (b=='1'){RELE=1;}
		}
		if(a=='T')
		{
		printf("\r\nTIEMPO=");
				for(a=0;a<5;a++)		//RECIBE NUMERO TERMINA CON "CR"
				{array[a]=getcNOECO();
				if (array[a]==13)goto wo;	//13="CR"
				putcUSART(array[a]);
				}
		wo:
		array[a]=0;				//caracter null
		TIEMPO=atoi(array);		//convierte a int
		printf("\r\n%u SEGUNDOS",TIEMPO);
		RELE=1;
		retraso(TIEMPO);
		RELE=0;
		}
		if(a=='S')
		{
		b=microsw();
		printf("\r\nS=%d",b);
		}
	}

}


void retraso(int a)
{
int b;
	for(b=1;b<=a;b++)
	{
	delay_ms(1000);
	printf("\r%u SEGUNDOS ",a-b);
	}
}
